#!/bin/bash

ACTIVE="$1"
if [ -z "$ACTIVE" ]; then
  ACTIVE="production"
  echo "Use default profile: $ACTIVE"
fi

[ ! -d ~/run/ ] && mkdir -p ~/run

if [ -f ~/run/adsprod-pushable.pid ]; then
  echo "Server [adsprod-pushable] pid file has been exists!";
  exit
fi

HEAP_MEMORY=8g
SERVER_JAR=`ls ../lib/adsprod-pushable-2.3.0-SNAPSHOT.jar`

exec "${JAVA_HOME}/bin/java" -server -Dspring.profiles.active=$ACTIVE -Xms${HEAP_MEMORY} -Xmx${HEAP_MEMORY} -XX:+HeapDumpOnOutOfMemoryError -XX:-OmitStackTraceInFastThrow -jar ${SERVER_JAR} >/dev/null 2>&1 & echo $! > ~/run/adsprod-pushable.pid